Package org.apache.sling.distribution.journal.impl.publisher

## Class PackageQueuedNotifier

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.publisher.PackageQueuedNotifier

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `QueuedCallback`

    public class PackageQueuedNotifier
    extends Object
    implements QueuedCallback, Closeable

### Constructor Summary

Constructors
`PackageQueuedNotifier​(org.osgi.service.event.EventAdmin eventAdmin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `queued​(List<org.apache.sling.distribution.journal.FullMessage<org.apache.sling.distribution.journal.messages.PackageMessage>> fullMessages)`
`CompletableFuture<Long>` `registerWait​(String packageId)`
`void` `unRegisterWait​(String packageId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackageQueuedNotifier

    public PackageQueuedNotifier​(org.osgi.service.event.EventAdmin eventAdmin)

### Method Detail

#### registerWait

    public CompletableFuture<Long> registerWait​(String packageId)

#### unRegisterWait

    public void unRegisterWait​(String packageId)

#### queued

    public void queued​(List<org.apache.sling.distribution.journal.FullMessage<org.apache.sling.distribution.journal.messages.PackageMessage>> fullMessages)

Specified by:
  `queued` in interface `QueuedCallback`

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`